summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Mikhail Zotov <mikhail dot ru at gmail dot com>2010-05-13 00:59:44 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 00:59:44 +0200
commit76e4d11187b4302c0a721cd292ccba78d5bdebe8 (patch)
treee9f05971c861a5cb9f1e8033fec0d7f9af191715 /multimedia
parent25ca7b4ae6f26b2739006555cd0647e46f16cbc7 (diff)
downloadslackbuilds-76e4d11187b4302c0a721cd292ccba78d5bdebe8.tar.gz
slackbuilds-76e4d11187b4302c0a721cd292ccba78d5bdebe8.tar.xz
multimedia/minitube: Added to 13.0 repository
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/minitube/README4
-rw-r--r--multimedia/minitube/doinst.sh10
-rw-r--r--multimedia/minitube/minitube.SlackBuild80
-rw-r--r--multimedia/minitube/minitube.info10
-rw-r--r--multimedia/minitube/slack-desc19
5 files changed, 123 insertions, 0 deletions
diff --git a/multimedia/minitube/README b/multimedia/minitube/README
new file mode 100644
index 0000000000..a82d4ffc38
--- /dev/null
+++ b/multimedia/minitube/README
@@ -0,0 +1,4 @@
+Minitube is a native YouTube client. With it you can watch YouTube videos in
+a new way: you type a keyword, Minitube gives you an endless video stream.
+Minitube does not require the Flash Player. Minitube is not about cloning
+the original YouTube web interface, it aims to create a new TV-like experience.
diff --git a/multimedia/minitube/doinst.sh b/multimedia/minitube/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/multimedia/minitube/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/multimedia/minitube/minitube.SlackBuild b/multimedia/minitube/minitube.SlackBuild
new file mode 100644
index 0000000000..5122c9fe44
--- /dev/null
+++ b/multimedia/minitube/minitube.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for minitube
+
+# Copyright 2009 Mikhail Zotov < mikhail dot ru at gmail dot com >
+# An important improvement of the script has been made by Robby Workman
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=minitube
+VERSION=${VERSION:-0.9}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC -m64"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+qmake
+# Use our SLKCFLAGS plus the hardcoded ones from the Makefile
+make \
+ CFLAGS="$SLKCFLAGS -pipe -Wall -W -D_REENTRANT \$(DEFINES)" \
+ CXXFLAGS="$SLKCFLAGS -pipe -Wall -W -D_REENTRANT \$(DEFINES)"
+make install INSTALL_ROOT=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS CHANGES COPYING INSTALL TODO LICENSE.LGPL \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/minitube/minitube.info b/multimedia/minitube/minitube.info
new file mode 100644
index 0000000000..faa16bfbab
--- /dev/null
+++ b/multimedia/minitube/minitube.info
@@ -0,0 +1,10 @@
+PRGNAM="minitube"
+VERSION="0.9"
+HOMEPAGE="http://flavio.tordini.org/minitube"
+DOWNLOAD="http://flavio.tordini.org/files/minitube/minitube-0.9.tar.gz"
+MD5SUM="525b4f75fa883633124183ae9015b6ed"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Mikhail Zotov"
+EMAIL="mikhail dot ru at gmail dot com"
+APPROVED="Erik Hanson"
diff --git a/multimedia/minitube/slack-desc b/multimedia/minitube/slack-desc
new file mode 100644
index 0000000000..1f4486fd02
--- /dev/null
+++ b/multimedia/minitube/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+minitube: Minitube
+minitube:
+minitube: Minitube is a native YouTube client. With it you can watch
+minitube: YouTube videos in a new way: you type a keyword, Minitube
+minitube: gives you an endless video stream. Minitube does not require
+minitube: the Flash Player. Minitube is not about cloning the original
+minitube: YouTube web interface, it aims to create a new TV-like
+minitube: experience.
+minitube:
+minitube: http://flavio.tordini.org/minitube
+minitube: